SEEJPEG(1)

NAME
seejpeg

SYNOPSIS
seejpeg [options] <image> [ <image> ... ]

COPYRIGHT
Seejpeg is Copyright (C) 1993-1996 by Evan Harris. This software is based in part on the work of the Independent JPEG Group.

DESCRIPTION
Seejpeg is an image displayer which uses svgalib. It currently understands the JPEG, GIF, PPM, BMP and TARGA formats. If the image is larger than the screen size the arrow keys may be used to scroll around the image. The Backspace key moves to the previous image. Pressing any other key moves to the next image or exits.

OPTIONS

-1  Quantize image in one pass (implies -q). JPEG only. This is faster than using -q, but the resulting image quality is not as high.

-C  Cycle through all images repeatedly. To exit at the end of a cycle, press Q at any time during the cycle.

-F string
    Force the use of the given video mode. The string must be an svgalib video mode string, such as G640x480x256, or corresponding video mode number. If this is a 256 colour mode, quantization (-q) is automatically chosen. If quantization is not possible, the video mode is disallowed. The allowable video modes may be affected by the image type.

-G F
    Set the gamma correction value. 0.1 <= F <= 5.0. The default gamma value is 1.0. If an image is too dark, increase the gamma correction value. 1.5 and 2.0 are often good values to try. If it is too light, decrease it.

-c  Centre the image, if its width or height is smaller than that of the video mode.

-dx Double the width of the image.

-f F
    Set the video mode choosing fuzz factor. 0.5 <= F <= 1.0. A video mode is selected if it is larger than the image. The fuzz factor allows a video mode to be selected if the video mode is larger than (or equal to) F * image_width and F * image_height.

-g  Display image as greyscale (implies -1). JPEG only.

-q  Quantize image into 256 colours. JPEG only.

-r  Randomise the order of the images to be displayed. If cycling through the images is also requested, a new random order is chosen for each cycle.

-s T
    Show the images in a slideshow, waiting T seconds between each image. Images in a slideshow can now be scrolled.

-v  Be verbose.

-w  Only use the image width to choose the video mode.

LIMITATIONS
Video modes are limited to 1280x1024, 1024x768, 800x600, 640x480 and 320x200 in 256, 32K or 16M colours (assuming the video card, and svgalib, supports these modes). Images which cannot be completely contained within video memory are clipped. No horizontal scrolling is permitted on Trident cards in 800x600x256 mode, due to an svgalib or chipset bug. Seejpeg has had limited testing, none at all for BMP and TARGA formats.